import type { App, ExtractPropTypes } from 'vue';
import type { VueNode } from '../_util/type';
import type { Status, ProgressDotRender } from '../vc-steps/interface';
import type { MouseEventHandler } from '../_util/EventInterface';
export declare const stepsProps: () => {
    prefixCls: StringConstructor;
    iconPrefix: StringConstructor;
    current: NumberConstructor;
    initial: NumberConstructor;
    percent: NumberConstructor;
    responsive: {
        type: BooleanConstructor;
        default: boolean;
    };
    items: {
        type: import("vue").PropType<Partial<ExtractPropTypes<{
            description: {
                default: any;
                type: import("vue").PropType<any>;
            };
            icon: {
                default: any;
                type: import("vue").PropType<any>;
            };
            status: {
                type: import("vue").PropType<Status>;
                default: Status;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                default: any;
                type: import("vue").PropType<any>;
            };
            subTitle: {
                default: any;
                type: import("vue").PropType<any>;
            };
            onClick: {
                type: import("vue").PropType<MouseEventHandler>;
                default: MouseEventHandler;
            };
        }>>[]>;
        default: Partial<ExtractPropTypes<{
            description: {
                default: any;
                type: import("vue").PropType<any>;
            };
            icon: {
                default: any;
                type: import("vue").PropType<any>;
            };
            status: {
                type: import("vue").PropType<Status>;
                default: Status;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                default: any;
                type: import("vue").PropType<any>;
            };
            subTitle: {
                default: any;
                type: import("vue").PropType<any>;
            };
            onClick: {
                type: import("vue").PropType<MouseEventHandler>;
                default: MouseEventHandler;
            };
        }>>[];
    };
    labelPlacement: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
    };
    status: {
        type: import("vue").PropType<Status>;
        default: Status;
    };
    size: {
        type: import("vue").PropType<"default" | "small">;
        default: "default" | "small";
    };
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
    };
    progressDot: {
        type: import("vue").PropType<boolean | ProgressDotRender>;
        default: boolean | ProgressDotRender;
    };
    type: {
        type: import("vue").PropType<"default" | "inline" | "navigation">;
        default: "default" | "inline" | "navigation";
    };
    onChange: {
        type: import("vue").PropType<(current: number) => void>;
        default: (current: number) => void;
    };
    'onUpdate:current': {
        type: import("vue").PropType<(current: number) => void>;
        default: (current: number) => void;
    };
};
export declare const stepProps: () => {
    description: {
        default: any;
        type: import("vue").PropType<any>;
    };
    icon: {
        default: any;
        type: import("vue").PropType<any>;
    };
    status: {
        type: import("vue").PropType<Status>;
        default: Status;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    title: {
        default: any;
        type: import("vue").PropType<any>;
    };
    subTitle: {
        default: any;
        type: import("vue").PropType<any>;
    };
    onClick: {
        type: import("vue").PropType<MouseEventHandler>;
        default: MouseEventHandler;
    };
};
export type StepsProps = Partial<ExtractPropTypes<ReturnType<typeof stepsProps>>>;
export type StepProps = Partial<ExtractPropTypes<ReturnType<typeof stepProps>>>;
export declare const Step: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    itemWidth: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    status: {
        type: import("vue").PropType<Status>;
        default: Status;
    };
    iconPrefix: StringConstructor;
    icon: import("vue-types").VueTypeValidableDef<any>;
    adjustMarginRight: StringConstructor;
    stepNumber: NumberConstructor;
    stepIndex: NumberConstructor;
    description: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    subTitle: import("vue-types").VueTypeValidableDef<any>;
    progressDot: import("vue-types").VueTypeDef<any>;
    tailContent: import("vue-types").VueTypeValidableDef<any>;
    icons: import("vue-types").VueTypeLooseShape<{
        finish: any;
        error: any;
    }>;
    onClick: {
        type: import("vue").PropType<() => {}>;
        default: () => {};
    };
    onStepClick: {
        type: import("vue").PropType<(next: number) => void>;
        default: (next: number) => void;
    };
    stepIcon: {
        type: import("vue").PropType<import("../vc-steps/interface").StepIconRender>;
        default: import("../vc-steps/interface").StepIconRender;
    };
    itemRender: {
        type: import("vue").PropType<(stepItem: VueNode) => VueNode>;
        default: (stepItem: VueNode) => VueNode;
    };
    __legacy: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => VueNode, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    itemWidth: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    status: {
        type: import("vue").PropType<Status>;
        default: Status;
    };
    iconPrefix: StringConstructor;
    icon: import("vue-types").VueTypeValidableDef<any>;
    adjustMarginRight: StringConstructor;
    stepNumber: NumberConstructor;
    stepIndex: NumberConstructor;
    description: import("vue-types").VueTypeValidableDef<any>;
    title: import("vue-types").VueTypeValidableDef<any>;
    subTitle: import("vue-types").VueTypeValidableDef<any>;
    progressDot: import("vue-types").VueTypeDef<any>;
    tailContent: import("vue-types").VueTypeValidableDef<any>;
    icons: import("vue-types").VueTypeLooseShape<{
        finish: any;
        error: any;
    }>;
    onClick: {
        type: import("vue").PropType<() => {}>;
        default: () => {};
    };
    onStepClick: {
        type: import("vue").PropType<(next: number) => void>;
        default: (next: number) => void;
    };
    stepIcon: {
        type: import("vue").PropType<import("../vc-steps/interface").StepIconRender>;
        default: import("../vc-steps/interface").StepIconRender;
    };
    itemRender: {
        type: import("vue").PropType<(stepItem: VueNode) => VueNode>;
        default: (stepItem: VueNode) => VueNode;
    };
    __legacy: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    onClick: () => {};
    active: boolean;
    disabled: boolean;
    status: Status;
    itemRender: (stepItem: VueNode) => VueNode;
    onStepClick: (next: number) => void;
    stepIcon: import("../vc-steps/interface").StepIconRender;
    __legacy: boolean;
}>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            type: "default" | "inline" | "navigation";
            onChange: (current: number) => void;
            size: "default" | "small";
            direction: "vertical" | "horizontal";
            responsive: boolean;
            status: Status;
            items: Partial<ExtractPropTypes<{
                description: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                icon: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                status: {
                    type: import("vue").PropType<Status>;
                    default: Status;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                title: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                subTitle: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                onClick: {
                    type: import("vue").PropType<MouseEventHandler>;
                    default: MouseEventHandler;
                };
            }>>[];
            'onUpdate:current': (current: number) => void;
            progressDot: boolean | ProgressDotRender;
            labelPlacement: "vertical" | "horizontal";
        }> & Omit<Readonly<ExtractPropTypes<{
            prefixCls: StringConstructor;
            iconPrefix: StringConstructor;
            current: NumberConstructor;
            initial: NumberConstructor;
            percent: NumberConstructor;
            responsive: {
                type: BooleanConstructor;
                default: boolean;
            };
            items: {
                type: import("vue").PropType<Partial<ExtractPropTypes<{
                    description: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    icon: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    status: {
                        type: import("vue").PropType<Status>;
                        default: Status;
                    };
                    disabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    title: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    subTitle: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    onClick: {
                        type: import("vue").PropType<MouseEventHandler>;
                        default: MouseEventHandler;
                    };
                }>>[]>;
                default: Partial<ExtractPropTypes<{
                    description: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    icon: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    status: {
                        type: import("vue").PropType<Status>;
                        default: Status;
                    };
                    disabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    title: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    subTitle: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    onClick: {
                        type: import("vue").PropType<MouseEventHandler>;
                        default: MouseEventHandler;
                    };
                }>>[];
            };
            labelPlacement: {
                type: import("vue").PropType<"vertical" | "horizontal">;
                default: "vertical" | "horizontal";
            };
            status: {
                type: import("vue").PropType<Status>;
                default: Status;
            };
            size: {
                type: import("vue").PropType<"default" | "small">;
                default: "default" | "small";
            };
            direction: {
                type: import("vue").PropType<"vertical" | "horizontal">;
                default: "vertical" | "horizontal";
            };
            progressDot: {
                type: import("vue").PropType<boolean | ProgressDotRender>;
                default: boolean | ProgressDotRender;
            };
            type: {
                type: import("vue").PropType<"default" | "inline" | "navigation">;
                default: "default" | "inline" | "navigation";
            };
            onChange: {
                type: import("vue").PropType<(current: number) => void>;
                default: (current: number) => void;
            };
            'onUpdate:current': {
                type: import("vue").PropType<(current: number) => void>;
                default: (current: number) => void;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "onChange" | "size" | "direction" | "responsive" | "status" | "items" | "onUpdate:current" | "progressDot" | "labelPlacement">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<ExtractPropTypes<{
            prefixCls: StringConstructor;
            iconPrefix: StringConstructor;
            current: NumberConstructor;
            initial: NumberConstructor;
            percent: NumberConstructor;
            responsive: {
                type: BooleanConstructor;
                default: boolean;
            };
            items: {
                type: import("vue").PropType<Partial<ExtractPropTypes<{
                    description: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    icon: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    status: {
                        type: import("vue").PropType<Status>;
                        default: Status;
                    };
                    disabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    title: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    subTitle: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    onClick: {
                        type: import("vue").PropType<MouseEventHandler>;
                        default: MouseEventHandler;
                    };
                }>>[]>;
                default: Partial<ExtractPropTypes<{
                    description: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    icon: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    status: {
                        type: import("vue").PropType<Status>;
                        default: Status;
                    };
                    disabled: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    title: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    subTitle: {
                        default: any;
                        type: import("vue").PropType<any>;
                    };
                    onClick: {
                        type: import("vue").PropType<MouseEventHandler>;
                        default: MouseEventHandler;
                    };
                }>>[];
            };
            labelPlacement: {
                type: import("vue").PropType<"vertical" | "horizontal">;
                default: "vertical" | "horizontal";
            };
            status: {
                type: import("vue").PropType<Status>;
                default: Status;
            };
            size: {
                type: import("vue").PropType<"default" | "small">;
                default: "default" | "small";
            };
            direction: {
                type: import("vue").PropType<"vertical" | "horizontal">;
                default: "vertical" | "horizontal";
            };
            progressDot: {
                type: import("vue").PropType<boolean | ProgressDotRender>;
                default: boolean | ProgressDotRender;
            };
            type: {
                type: import("vue").PropType<"default" | "inline" | "navigation">;
                default: "default" | "inline" | "navigation";
            };
            onChange: {
                type: import("vue").PropType<(current: number) => void>;
                default: (current: number) => void;
            };
            'onUpdate:current': {
                type: import("vue").PropType<(current: number) => void>;
                default: (current: number) => void;
            };
        }>>, () => VueNode, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            type: "default" | "inline" | "navigation";
            onChange: (current: number) => void;
            size: "default" | "small";
            direction: "vertical" | "horizontal";
            responsive: boolean;
            status: Status;
            items: Partial<ExtractPropTypes<{
                description: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                icon: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                status: {
                    type: import("vue").PropType<Status>;
                    default: Status;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                title: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                subTitle: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                onClick: {
                    type: import("vue").PropType<MouseEventHandler>;
                    default: MouseEventHandler;
                };
            }>>[];
            'onUpdate:current': (current: number) => void;
            progressDot: boolean | ProgressDotRender;
            labelPlacement: "vertical" | "horizontal";
        }, {}, string> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<ExtractPropTypes<{
        prefixCls: StringConstructor;
        iconPrefix: StringConstructor;
        current: NumberConstructor;
        initial: NumberConstructor;
        percent: NumberConstructor;
        responsive: {
            type: BooleanConstructor;
            default: boolean;
        };
        items: {
            type: import("vue").PropType<Partial<ExtractPropTypes<{
                description: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                icon: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                status: {
                    type: import("vue").PropType<Status>;
                    default: Status;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                title: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                subTitle: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                onClick: {
                    type: import("vue").PropType<MouseEventHandler>;
                    default: MouseEventHandler;
                };
            }>>[]>;
            default: Partial<ExtractPropTypes<{
                description: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                icon: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                status: {
                    type: import("vue").PropType<Status>;
                    default: Status;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                title: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                subTitle: {
                    default: any;
                    type: import("vue").PropType<any>;
                };
                onClick: {
                    type: import("vue").PropType<MouseEventHandler>;
                    default: MouseEventHandler;
                };
            }>>[];
        };
        labelPlacement: {
            type: import("vue").PropType<"vertical" | "horizontal">;
            default: "vertical" | "horizontal";
        };
        status: {
            type: import("vue").PropType<Status>;
            default: Status;
        };
        size: {
            type: import("vue").PropType<"default" | "small">;
            default: "default" | "small";
        };
        direction: {
            type: import("vue").PropType<"vertical" | "horizontal">;
            default: "vertical" | "horizontal";
        };
        progressDot: {
            type: import("vue").PropType<boolean | ProgressDotRender>;
            default: boolean | ProgressDotRender;
        };
        type: {
            type: import("vue").PropType<"default" | "inline" | "navigation">;
            default: "default" | "inline" | "navigation";
        };
        onChange: {
            type: import("vue").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
        'onUpdate:current': {
            type: import("vue").PropType<(current: number) => void>;
            default: (current: number) => void;
        };
    }>> & import("vue").ShallowUnwrapRef<() => VueNode> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    iconPrefix: StringConstructor;
    current: NumberConstructor;
    initial: NumberConstructor;
    percent: NumberConstructor;
    responsive: {
        type: BooleanConstructor;
        default: boolean;
    };
    items: {
        type: import("vue").PropType<Partial<ExtractPropTypes<{
            description: {
                default: any;
                type: import("vue").PropType<any>;
            };
            icon: {
                default: any;
                type: import("vue").PropType<any>;
            };
            status: {
                type: import("vue").PropType<Status>;
                default: Status;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                default: any;
                type: import("vue").PropType<any>;
            };
            subTitle: {
                default: any;
                type: import("vue").PropType<any>;
            };
            onClick: {
                type: import("vue").PropType<MouseEventHandler>;
                default: MouseEventHandler;
            };
        }>>[]>;
        default: Partial<ExtractPropTypes<{
            description: {
                default: any;
                type: import("vue").PropType<any>;
            };
            icon: {
                default: any;
                type: import("vue").PropType<any>;
            };
            status: {
                type: import("vue").PropType<Status>;
                default: Status;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                default: any;
                type: import("vue").PropType<any>;
            };
            subTitle: {
                default: any;
                type: import("vue").PropType<any>;
            };
            onClick: {
                type: import("vue").PropType<MouseEventHandler>;
                default: MouseEventHandler;
            };
        }>>[];
    };
    labelPlacement: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
    };
    status: {
        type: import("vue").PropType<Status>;
        default: Status;
    };
    size: {
        type: import("vue").PropType<"default" | "small">;
        default: "default" | "small";
    };
    direction: {
        type: import("vue").PropType<"vertical" | "horizontal">;
        default: "vertical" | "horizontal";
    };
    progressDot: {
        type: import("vue").PropType<boolean | ProgressDotRender>;
        default: boolean | ProgressDotRender;
    };
    type: {
        type: import("vue").PropType<"default" | "inline" | "navigation">;
        default: "default" | "inline" | "navigation";
    };
    onChange: {
        type: import("vue").PropType<(current: number) => void>;
        default: (current: number) => void;
    };
    'onUpdate:current': {
        type: import("vue").PropType<(current: number) => void>;
        default: (current: number) => void;
    };
}>>, () => VueNode, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    type: "default" | "inline" | "navigation";
    onChange: (current: number) => void;
    size: "default" | "small";
    direction: "vertical" | "horizontal";
    responsive: boolean;
    status: Status;
    items: Partial<ExtractPropTypes<{
        description: {
            default: any;
            type: import("vue").PropType<any>;
        };
        icon: {
            default: any;
            type: import("vue").PropType<any>;
        };
        status: {
            type: import("vue").PropType<Status>;
            default: Status;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            default: any;
            type: import("vue").PropType<any>;
        };
        subTitle: {
            default: any;
            type: import("vue").PropType<any>;
        };
        onClick: {
            type: import("vue").PropType<MouseEventHandler>;
            default: MouseEventHandler;
        };
    }>>[];
    'onUpdate:current': (current: number) => void;
    progressDot: boolean | ProgressDotRender;
    labelPlacement: "vertical" | "horizontal";
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    Step: import("vue").DefineComponent<{
        prefixCls: StringConstructor;
        itemWidth: StringConstructor;
        active: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        status: {
            type: import("vue").PropType<Status>;
            default: Status;
        };
        iconPrefix: StringConstructor;
        icon: import("vue-types").VueTypeValidableDef<any>;
        adjustMarginRight: StringConstructor;
        stepNumber: NumberConstructor;
        stepIndex: NumberConstructor;
        description: import("vue-types").VueTypeValidableDef<any>;
        title: import("vue-types").VueTypeValidableDef<any>;
        subTitle: import("vue-types").VueTypeValidableDef<any>;
        progressDot: import("vue-types").VueTypeDef<any>;
        tailContent: import("vue-types").VueTypeValidableDef<any>;
        icons: import("vue-types").VueTypeLooseShape<{
            finish: any;
            error: any;
        }>;
        onClick: {
            type: import("vue").PropType<() => {}>;
            default: () => {};
        };
        onStepClick: {
            type: import("vue").PropType<(next: number) => void>;
            default: (next: number) => void;
        };
        stepIcon: {
            type: import("vue").PropType<import("../vc-steps/interface").StepIconRender>;
            default: import("../vc-steps/interface").StepIconRender;
        };
        itemRender: {
            type: import("vue").PropType<(stepItem: VueNode) => VueNode>;
            default: (stepItem: VueNode) => VueNode;
        };
        __legacy: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => VueNode, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
        prefixCls: StringConstructor;
        itemWidth: StringConstructor;
        active: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        status: {
            type: import("vue").PropType<Status>;
            default: Status;
        };
        iconPrefix: StringConstructor;
        icon: import("vue-types").VueTypeValidableDef<any>;
        adjustMarginRight: StringConstructor;
        stepNumber: NumberConstructor;
        stepIndex: NumberConstructor;
        description: import("vue-types").VueTypeValidableDef<any>;
        title: import("vue-types").VueTypeValidableDef<any>;
        subTitle: import("vue-types").VueTypeValidableDef<any>;
        progressDot: import("vue-types").VueTypeDef<any>;
        tailContent: import("vue-types").VueTypeValidableDef<any>;
        icons: import("vue-types").VueTypeLooseShape<{
            finish: any;
            error: any;
        }>;
        onClick: {
            type: import("vue").PropType<() => {}>;
            default: () => {};
        };
        onStepClick: {
            type: import("vue").PropType<(next: number) => void>;
            default: (next: number) => void;
        };
        stepIcon: {
            type: import("vue").PropType<import("../vc-steps/interface").StepIconRender>;
            default: import("../vc-steps/interface").StepIconRender;
        };
        itemRender: {
            type: import("vue").PropType<(stepItem: VueNode) => VueNode>;
            default: (stepItem: VueNode) => VueNode;
        };
        __legacy: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        onClick: () => {};
        active: boolean;
        disabled: boolean;
        status: Status;
        itemRender: (stepItem: VueNode) => VueNode;
        onStepClick: (next: number) => void;
        stepIcon: import("../vc-steps/interface").StepIconRender;
        __legacy: boolean;
    }>;
    install: (app: App) => App<any>;
};
export default _default;
